Summary: An authoritative and recursive DNS server made with security in mind
Name: maradns
Version: 1.0.13
Release: 1
Copyright: Public domain
Group: Networking/Daemons
Source0: http://www.maradns.org/download/maradns-%{version}.tar.bz2
Source1: http://www.maradns.org/download/maradns-%{version}.tar.bz2.asc
Patch0: maradns-1.0.13.rpm.patch
Url: http://www.maradns.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
PreReq: /sbin/chkconfig
Prefix: %{_prefix}

%description
Erre con erre cigarro
Erre con erre barril
Rápido ruedan los carros
En el ferrocarril

MaraDNS is an authoritative and recursive DNS server made with 
security in mind.  More information is at http://www.maradns.org

%ifnarch i586 i686 athlon
%package doc
Summary: Documentation for MaraDNS.
Group: Documentation

%description doc
This package contains documentation files for MaraDNS - an authoritative
and recursive DNS server made with security in mind.
%endif

%prep
%setup 
%patch0 -p1

%build
%configure
make FLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT/
mkdirhier $RPM_BUILD_ROOT%{_sbindir}
mkdirhier $RPM_BUILD_ROOT%{_bindir}
#mkdirhier $RPM_BUILD_ROOT/usr/doc
mkdirhier $RPM_BUILD_ROOT%{_mandir}/man8
mkdirhier $RPM_BUILD_ROOT%{_mandir}/man1
mkdirhier $RPM_BUILD_ROOT%{_mandir}/man5
mkdirhier $RPM_BUILD_ROOT%{_sysconfdir}
mkdirhier $RPM_BUILD_ROOT%{_sysconfdir}/maradns
mkdirhier $RPM_BUILD_ROOT%{_sysconfdir}/rc.d
mkdirhier $RPM_BUILD_ROOT%{_initrddir}
mkdirhier $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc3.d
mkdirhier $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc5.d
#make install
%makeinstall
#cp build/rpm.mararc $RPM_BUILD_ROOT%{_sysconfdir}/mararc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add maradns
if [ $1 = 1 ]; then
	# new instals get maradns disabled at default
	/sbin/chkconfig maradns off
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del maradns
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service maradns condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%{_sbindir}/maradns
%{_sbindir}/zoneserver
%{_bindir}/getzone
%{_bindir}/askmara
%{_mandir}/man8/maradns.8.gz
%{_mandir}/man8/zoneserver.8.gz
%{_mandir}/man1/askmara.1.gz
%{_mandir}/man1/getzone.1.gz
%{_mandir}/man5/csv1.5.gz
%{_mandir}/man5/mararc.5.gz
%config %{_sysconfdir}/mararc
%config %{_sysconfdir}/maradns/db.example.com
%config %{_initrddir}/maradns

%ifnarch i586 i686 athlon
%files doc
%defattr(-,root,root)
%doc doc/*
%endif

%changelog
* Wed Mar  5 2003 Peter Hanecak <hanecak@megaloman.sk> 1.0.13-1
- more rpm macros used
- %%postun added

* Sat Feb  1 2003 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.13

* Wed Jan 15 2003 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.12

* Tue Dec 17 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.11

* Sat Nov 30 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.10

* Fri Nov 15 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.09

* Sun Oct  6 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.08

* Mon Aug 26 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.07

* Mon Jul 30 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.06

* Sat Jul 28 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.05

* Sun Jul 14 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.04

* Fri Jul 12 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.03

* Sun Jun 30 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.02

* Wed Jun 26 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.01

* Fri Jun 21 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 1.0.00

* Sat Jun 15 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.92

* Wed Jun 12 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.91

* Mon Jun 10 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.39

* Sat Jun  8 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.38

* Fri Jun  7 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.37

* Wed Jun  5 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.36

* Fri May 31 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.34

* Fri May 24 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.9.33

* Tue May 21 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.33

* Sat May 18 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.31

* Fri May 17 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.30

* Wed May 15 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.29

* Mon May 13 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.28

* Thu May 9 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.26

* Wed May 8 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.24

* Sun May 5 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.23

* Mon Apr 29 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.9.18
- do not makedoc package for athlon arch

* Mon Mar  4 2002 Peter Hanecak <hanecak@megaloman.sk>
- update to 0.9.14
- %%{_tmppath} used
- use RPM_OPT_FLAGS in build process
- updated RPM patch
- chkconfig used to set up startup things
- documentation placed in separate doc package
- startup script patched so it works with chkconfig
- added URL

* Mon Feb 11 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.11

* Mon Feb 11 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.10

* Sun Jan 27 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.09

* Fri Jan 25 2002 Sam Trenholme <rpmbuild@samiam.org>
- MaraDNS rpm package updated for version 0.9.08

* Thu Jan 10 2002 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.31

* Mon Sep 24 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.30

* Fri Aug 10 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.29

* Wed Jul 18 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.28

* Sun Jul 15 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.27

* Sun Jul 8 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.26

* Thu May 31 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.25

* Mon May 21 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.24

* Sat May 19 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.23

* Thu May 10 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updatd to version 0.5.22

* Mon May 7 2001 Sam Trenholme <rpmbuild@maradns.org> 
- MaraDNS rpm package updated to version 0.5.21

* Sun May 6 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.20

* Thu May 3 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package updated to version 0.5.18.

* Mon Apr 30 2001 Sam Trehnolme <rpmbuild@maradns.org>
- MaraDNS rpm package upped to version 0.5.17.

* Sun Apr 22 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package upped to version 0.5.13.  More info
  at http://www.maradns.org/changelog.html

* Sun Apr 22 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package upped to version 0.5.12.  More info
  at http://www.maradns.org/changelog.html

* Fri Apr 20 2001 Sam Trenholme <rpmbuild@maradns.org>
- MaraDNS rpm package upped to version 0.5.10.  Details at
  http://www.maradns.org/changelog.html

* Fri Apr 20 2001 Sam Trenholme <rpmbuild@maradns,org>
- MaraDNS RPM package upped to version 0.5.09.  Go to www.maradns.org for
  full changelog.

* Thu Apr 19 2001 Sam Trenholme <rpmbuild@maradns.org>
- Initial RPM package of MaraDNS
      
